searchNodes=[{"doc":"Supports the CLDR Territories definitions which provide the localization of many territories.","ref":"Cldr.Territory.html","title":"Cldr.Territory","type":"module"},{"doc":"Returns a list of available styles.Exampleiex&gt; Cldr.Territory.available_styles() [:short, :standard, :variant]","ref":"Cldr.Territory.html#available_styles/0","title":"Cldr.Territory.available_styles/0","type":"function"},{"doc":"Returns the available territories for a given locale.locale is any configured locale. See Cldr.known_locale_names/1. The default is Cldr.get_locale/1Example=&gt; Cldr.Territory.available_territories(TestBackend.Cldr) [:&quot;001&quot;, :&quot;002&quot;, :&quot;003&quot;, :&quot;005&quot;, :&quot;009&quot;, :&quot;011&quot;, :&quot;013&quot;, :&quot;014&quot;, :&quot;015&quot;, :&quot;017&quot;, :&quot;018&quot;, :&quot;019&quot;, :&quot;021&quot;, :&quot;029&quot;, :&quot;030&quot;, :&quot;034&quot;, :&quot;035&quot;, :&quot;039&quot;, :&quot;053&quot;, :&quot;054&quot;, :&quot;057&quot;, :&quot;061&quot;, :&quot;142&quot;, :&quot;143&quot;, :&quot;145&quot;, :&quot;150&quot;, :&quot;151&quot;, :&quot;154&quot;, :&quot;155&quot;, :&quot;202&quot;, :&quot;419&quot;, :AC, :AD, :AE, :AF, :AG, :AI, :AL, :AM, :AO, :AQ, :AR, :AS, :AT, :AU, :AW, :AX, :AZ, :BA, :BB, ...]","ref":"Cldr.Territory.html#available_territories/1","title":"Cldr.Territory.available_territories/1","type":"function"},{"doc":"Lists children(s) for the given territory code. Returns {:ok, list} if successful, otherwise {:error, reason}.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; Cldr.Territory.children(:EU) {:ok, [:AT, :BE, :CY, :CZ, :DE, :DK, :EE, :ES, :FI, :FR, :GR, :HR, :HU, :IE, :IT, :LT, :LU, :LV, :MT, :NL, :PL, :PT, :SE, :SI, :SK, :BG, :RO]} iex&gt; Cldr.Territory.children(:ZZZ) {:error, {Cldr.UnknownTerritoryError, &quot;The territory :ZZZ is unknown&quot;}} iex&gt; Cldr.Territory.children(:GB) {:error, {Cldr.UnknownParentError, &quot;The territory :GB has no children&quot;}}","ref":"Cldr.Territory.html#children/2","title":"Cldr.Territory.children/2","type":"function"},{"doc":"The same as children/2, but raises an exception if it fails.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; Cldr.Territory.children!(:EU) [:AT, :BE, :CY, :CZ, :DE, :DK, :EE, :ES, :FI, :FR, :GR, :HR, :HU, :IE, :IT, :LT, :LU, :LV, :MT, :NL, :PL, :PT, :SE, :SI, :SK, :BG, :RO]","ref":"Cldr.Territory.html#children!/2","title":"Cldr.Territory.children!/2","type":"function"},{"doc":"Checks relationship between two territories, where the first argument is the parent and second the child. Returns true if successful, otherwise false.Exampleiex&gt; Cldr.Territory.contains?(:EU, :DK) true iex&gt; Cldr.Territory.contains?(:DK, :EU) false","ref":"Cldr.Territory.html#contains?/2","title":"Cldr.Territory.contains?/2","type":"function"},{"doc":"Returns a list of country codes.options are:as: :atomas: :binaryas: :charlistExample=&gt; Cldr.Territory.country_codes() [:AD, :AE, :AF, :AG, :AI, :AL, :AM, :AO, :AR, :AS, :AT, :AU, :AW, :AX, :AZ, :BA, :BB, :BD, :BE, :BF, :BG, :BH, :BI, :BJ, :BL, :BM, :BN, :BO, :BQ, :BR, :BS, :BT, :BV, :BW, :BY, :BZ, :CA, :CC, :CD, :CF, :CG, :CH, :CI, :CK, :CL, :CM, :CN, :CO, :CR, :CU, ...]","ref":"Cldr.Territory.html#country_codes/1","title":"Cldr.Territory.country_codes/1","type":"function"},{"doc":"Localized string for the given LanguageTag.t. Returns {:ok, String.t} if successful, otherwise {:error, reason}.options are:style is one of those returned by Cldr.Territory.available_styles/0. The current styles are :short, :standard and :variant. The default is :standardExampleiex&gt; Cldr.Territory.from_language_tag(Cldr.get_locale(TestBackend.Cldr), TestBackend.Cldr) {:ok, &quot;World&quot;} iex&gt; Cldr.Territory.from_language_tag(Cldr.get_locale(TestBackend.Cldr), TestBackend.Cldr, [style: :short]) {:error, {Cldr.UnknownStyleError, &quot;The style :short is unknown&quot;}} iex&gt; Cldr.Territory.from_language_tag(Cldr.get_locale(TestBackend.Cldr), TestBackend.Cldr, [style: :ZZZ]) {:error, {Cldr.UnknownStyleError, &quot;The style :ZZZ is unknown&quot;}} iex&gt; Cldr.Territory.from_language_tag(Cldr.get_locale(TestBackend.Cldr), TestBackend.Cldr, [style: &quot;ZZZ&quot;]) {:error, {Cldr.UnknownStyleError, &quot;The style \\&quot;ZZZ\\&quot; is unknown&quot;}}","ref":"Cldr.Territory.html#from_language_tag/3","title":"Cldr.Territory.from_language_tag/3","type":"function"},{"doc":"The same as from_language_tag/2, but raises an exception if it fails.Exampleiex&gt; Cldr.Territory.from_language_tag!(Cldr.get_locale(TestBackend.Cldr), TestBackend.Cldr) &quot;World&quot;","ref":"Cldr.Territory.html#from_language_tag!/3","title":"Cldr.Territory.from_language_tag!/3","type":"function"},{"doc":"Localized string for the given territory code. Returns {:ok, String.t} if successful, otherwise {:error, reason}.options are:locale is any configured locale. See Cldr.known_locale_names/1. The default is Cldr.get_locale/1style is one of those returned by Cldr.Territory.available_styles/0. The current styles are :short, :standard and :variant. The default is :standardExampleiex&gt; Cldr.Territory.from_territory_code(:GB, TestBackend.Cldr) {:ok, &quot;United Kingdom&quot;} iex&gt; Cldr.Territory.from_territory_code(:GB, TestBackend.Cldr, [style: :short]) {:ok, &quot;UK&quot;} iex&gt; Cldr.Territory.from_territory_code(:GB, TestBackend.Cldr, [style: :ZZZ]) {:error, {Cldr.UnknownStyleError, &quot;The style :ZZZ is unknown&quot;}} iex&gt; Cldr.Territory.from_territory_code(:GB, TestBackend.Cldr, [style: &quot;ZZZ&quot;]) {:error, {Cldr.UnknownStyleError, &quot;The style \\&quot;ZZZ\\&quot; is unknown&quot;}} iex&gt; Cldr.Territory.from_territory_code(:GB, TestBackend.Cldr, [locale: &quot;pt&quot;]) {:ok, &quot;Reino Unido&quot;} iex&gt; Cldr.Territory.from_territory_code(:GB, TestBackend.Cldr, [locale: :zzz]) {:error, {Cldr.UnknownLocaleError, &quot;The locale :zzz is not known.&quot;}} iex&gt; Cldr.Territory.from_territory_code(:GB, TestBackend.Cldr, [locale: &quot;zzz&quot;]) {:error, {Cldr.UnknownLocaleError, &quot;The locale \\&quot;zzz\\&quot; is not known.&quot;}}","ref":"Cldr.Territory.html#from_territory_code/3","title":"Cldr.Territory.from_territory_code/3","type":"function"},{"doc":"The same as from_territory_code/2, but raises an exception if it fails.Exampleiex&gt; Cldr.Territory.from_territory_code!(:GB, TestBackend.Cldr) &quot;United Kingdom&quot; iex&gt; Cldr.Territory.from_territory_code!(:GB, TestBackend.Cldr, [style: :short]) &quot;UK&quot; iex&gt; Cldr.Territory.from_territory_code!(:GB, TestBackend.Cldr, [locale: &quot;pt&quot;]) &quot;Reino Unido&quot;","ref":"Cldr.Territory.html#from_territory_code!/3","title":"Cldr.Territory.from_territory_code!/3","type":"function"},{"doc":"Maps territory info for the given territory code. Returns {:ok, map} if successful, otherwise {:error, reason}.Exampleiex&gt; Cldr.Territory.info(:GB) {:ok, %{ currency: [GBP: %{from: ~D[1694-07-27]}], gdp: 2925000000000, language_population: %{ &quot;bn&quot; =&gt; %{population_percent: 0.67}, &quot;cy&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.77}, &quot;de&quot; =&gt; %{population_percent: 6}, &quot;el&quot; =&gt; %{population_percent: 0.33}, &quot;en&quot; =&gt; %{official_status: &quot;official&quot;, population_percent: 99}, &quot;fr&quot; =&gt; %{population_percent: 19}, &quot;ga&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.026}, &quot;gd&quot; =&gt; %{ official_status: &quot;official_regional&quot;, population_percent: 0.099, writing_percent: 5 }, &quot;it&quot; =&gt; %{population_percent: 0.33}, &quot;ks&quot; =&gt; %{population_percent: 0.19}, &quot;kw&quot; =&gt; %{population_percent: 0.0031}, &quot;ml&quot; =&gt; %{population_percent: 0.035}, &quot;pa&quot; =&gt; %{population_percent: 0.79}, &quot;sco&quot; =&gt; %{population_percent: 2.7, writing_percent: 5}, &quot;syl&quot; =&gt; %{population_percent: 0.51}, &quot;yi&quot; =&gt; %{population_percent: 0.049}, &quot;zh-Hant&quot; =&gt; %{population_percent: 0.54} }, literacy_percent: 99, measurement_system: %{ default: :uksystem, paper_size: :a4, temperature: :uksystem }, population: 65105200 }}","ref":"Cldr.Territory.html#info/1","title":"Cldr.Territory.info/1","type":"function"},{"doc":"The same as info/1, but raises an exception if it fails.Exampleiex&gt; Cldr.Territory.info!(:GB) %{ currency: [GBP: %{from: ~D[1694-07-27]}], gdp: 2925000000000, language_population: %{ &quot;bn&quot; =&gt; %{population_percent: 0.67}, &quot;cy&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.77}, &quot;de&quot; =&gt; %{population_percent: 6}, &quot;el&quot; =&gt; %{population_percent: 0.33}, &quot;en&quot; =&gt; %{official_status: &quot;official&quot;, population_percent: 99}, &quot;fr&quot; =&gt; %{population_percent: 19}, &quot;ga&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.026}, &quot;gd&quot; =&gt; %{ official_status: &quot;official_regional&quot;, population_percent: 0.099, writing_percent: 5 }, &quot;it&quot; =&gt; %{population_percent: 0.33}, &quot;ks&quot; =&gt; %{population_percent: 0.19}, &quot;kw&quot; =&gt; %{population_percent: 0.0031}, &quot;ml&quot; =&gt; %{population_percent: 0.035}, &quot;pa&quot; =&gt; %{population_percent: 0.79}, &quot;sco&quot; =&gt; %{population_percent: 2.7, writing_percent: 5}, &quot;syl&quot; =&gt; %{population_percent: 0.51}, &quot;yi&quot; =&gt; %{population_percent: 0.049}, &quot;zh-Hant&quot; =&gt; %{population_percent: 0.54} }, literacy_percent: 99, measurement_system: %{ default: :uksystem, paper_size: :a4, temperature: :uksystem }, population: 65105200 }","ref":"Cldr.Territory.html#info!/1","title":"Cldr.Territory.info!/1","type":"function"},{"doc":"Returns a map of all known territories in a given locale.locale is any configured locale. See Cldr.known_locale_names/1. The default is Cldr.get_locale/1Example=&gt; Cldr.Territory.known_territories(TestBackend.Cldr) %{SN: %{standard: &quot;Senegal&quot;}, &quot;061&quot;: %{standard: &quot;Polynesia&quot;}, BH: %{standard: &quot;Bahrain&quot;}, TM: %{standard: &quot;Turkmenistan&quot;}, &quot;009&quot;: %{standard: &quot;Oceania&quot;}, CW: %{standard: &quot;Curaçao&quot;}, FR: %{standard: &quot;France&quot;}, TN: %{standard: &quot;Tunisia&quot;}, FI: %{standard: &quot;Finland&quot;}, BF: %{standard: &quot;Burkina Faso&quot;}, &quot;155&quot;: %{standard: &quot;Western Europe&quot;}, GL: %{standard: &quot;Greenland&quot;}, VI: %{standard: &quot;U.S. Virgin Islands&quot;}, ZW: %{standard: &quot;Zimbabwe&quot;}, AR: %{standard: &quot;Argentina&quot;}, SG: %{standard: &quot;Singapore&quot;}, SZ: %{standard: &quot;Swaziland&quot;}, ID: %{standard: &quot;Indonesia&quot;}, NR: %{standard: &quot;Nauru&quot;}, RW: %{standard: &quot;Rwanda&quot;}, TR: %{standard: &quot;Turkey&quot;}, IS: %{standard: &quot;Iceland&quot;}, ME: %{standard: &quot;Montenegro&quot;}, AW: %{standard: &quot;Aruba&quot;}, PY: %{standard: &quot;Paraguay&quot;}, &quot;145&quot;: %{standard: &quot;Western Asia&quot;}, CG: %{standard: &quot;Congo - Brazzaville&quot;, variant: &quot;Congo (Republic)&quot;}, LT: %{standard: &quot;Lithuania&quot;}, SA: %{standard: &quot;Saudi Arabia&quot;}, MZ: %{standard: &quot;Mozambique&quot;}, NU: %{standard: &quot;Niue&quot;}, NG: %{standard: &quot;Nigeria&quot;}, CK: %{standard: &quot;Cook Islands&quot;}, ZM: %{standard: &quot;Zambia&quot;}, LK: %{standard: &quot;Sri Lanka&quot;}, UY: %{standard: &quot;Uruguay&quot;}, YE: %{standard: &quot;Yemen&quot;}, &quot;011&quot;: %{standard: &quot;Western Africa&quot;}, CC: %{standard: &quot;Cocos (Keeling) Islands&quot;}, BY: %{standard: &quot;Belarus&quot;}, IL: %{standard: &quot;Israel&quot;}, KY: %{standard: &quot;Cayman Islands&quot;}, GN: %{standard: &quot;Guinea&quot;}, VN: %{standard: &quot;Vietnam&quot;}, PE: %{standard: &quot;Peru&quot;}, HU: %{standard: &quot;Hungary&quot;}, HN: %{standard: &quot;Honduras&quot;}, GI: %{standard: &quot;Gibraltar&quot;}, &quot;142&quot;: %{standard: &quot;Asia&quot;}, &quot;029&quot;: %{...}, ...}","ref":"Cldr.Territory.html#known_territories/1","title":"Cldr.Territory.known_territories/1","type":"function"},{"doc":"Lists parent(s) for the given territory code. Returns {:ok, list} if successful, otherwise {:error, reason}.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; Cldr.Territory.parent(:GB) {:ok, [:&quot;154&quot;, :UN]} iex&gt; Cldr.Territory.parent(:ZZZ) {:error, {Cldr.UnknownTerritoryError, &quot;The territory :ZZZ is unknown&quot;}} iex&gt; Cldr.Territory.parent(Cldr.get_locale()) {:error, {Cldr.UnknownChildrenError, &quot;The territory :\\&quot;001\\&quot; has no parent(s)&quot;}}","ref":"Cldr.Territory.html#parent/2","title":"Cldr.Territory.parent/2","type":"function"},{"doc":"The same as parent/2, but raises an exception if it fails.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; Cldr.Territory.parent!(:GB) [:&quot;154&quot;, :UN]","ref":"Cldr.Territory.html#parent!/2","title":"Cldr.Territory.parent!/2","type":"function"},{"doc":"A helper method to get a territory's currency code if a territory has multiply currencies then the oldest active currency is returned. Returns {:ok, code} if successful, otherwise {:error, reason}.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; Cldr.Territory.to_currency_code(:US) {:ok, :USD} iex&gt; Cldr.Territory.to_currency_code(&quot;cu&quot;) {:ok, :CUP}","ref":"Cldr.Territory.html#to_currency_code/2","title":"Cldr.Territory.to_currency_code/2","type":"function"},{"doc":"The same as to_currency_code/2, but raises an exception if it fails.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; Cldr.Territory.to_currency_code!(:US) :USD iex&gt; Cldr.Territory.to_currency_code!(:US, as: :charlist) &#39;USD&#39; iex&gt; Cldr.Territory.to_currency_code!(&quot;PS&quot;) :ILS iex&gt; Cldr.Territory.to_currency_code!(&quot;PS&quot;, as: :binary) &quot;ILS&quot;","ref":"Cldr.Territory.html#to_currency_code!/2","title":"Cldr.Territory.to_currency_code!/2","type":"function"},{"doc":"A helper method to get a territory's currency codes. Returns {:ok, list} if successful, otherwise {:error, reason}.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; Cldr.Territory.to_currency_codes(:US) {:ok, [:USD]} iex&gt; Cldr.Territory.to_currency_codes(&quot;cu&quot;) {:ok, [:CUP, :CUC]}","ref":"Cldr.Territory.html#to_currency_codes/2","title":"Cldr.Territory.to_currency_codes/2","type":"function"},{"doc":"The same as to_currency_codes/2, but raises an exception if it fails.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; Cldr.Territory.to_currency_codes!(:US) [:USD] iex&gt; Cldr.Territory.to_currency_codes!(:US, as: :charlist) [&#39;USD&#39;] iex&gt; Cldr.Territory.to_currency_codes!(&quot;PS&quot;) [:ILS, :JOD] iex&gt; Cldr.Territory.to_currency_codes!(&quot;PS&quot;, as: :binary) [&quot;ILS&quot;, &quot;JOD&quot;]","ref":"Cldr.Territory.html#to_currency_codes!/2","title":"Cldr.Territory.to_currency_codes!/2","type":"function"},{"doc":"Unicode flag for the given territory code. Returns {:ok, flag} if successful, otherwise {:error, reason}.Exampleiex&gt; Cldr.Territory.to_unicode_flag(:US) {:ok, &quot;🇺🇸&quot;} iex&gt; Cldr.Territory.to_unicode_flag(:EZ) {:error, {Cldr.UnknownFlagError, &quot;The territory :EZ has no flag&quot;}}","ref":"Cldr.Territory.html#to_unicode_flag/1","title":"Cldr.Territory.to_unicode_flag/1","type":"function"},{"doc":"The same as to_unicode_flag/1, but raises an exception if it fails.Exampleiex&gt; Cldr.Territory.to_unicode_flag!(:US) &quot;🇺🇸&quot;","ref":"Cldr.Territory.html#to_unicode_flag!/1","title":"Cldr.Territory.to_unicode_flag!/1","type":"function"},{"doc":"Translate a LanguageTag.t into a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason}.options are:locale is any configured locale. See Cldr.known_locale_names/1. The default is Cldr.get_locale/0style is one of those returned by Cldr.Territory.available_styles/0. The current styles are :short, :standard and :variant. The default is :standardExampleiex&gt; Cldr.Territory.translate_language_tag(Cldr.get_locale(), TestBackend.Cldr) {:ok, &quot;World&quot;} iex&gt; Cldr.Territory.translate_language_tag(Cldr.get_locale(), TestBackend.Cldr, [locale: Cldr.Locale.new!(&quot;pt&quot;, TestBackend.Cldr)]) {:ok, &quot;Mundo&quot;}","ref":"Cldr.Territory.html#translate_language_tag/3","title":"Cldr.Territory.translate_language_tag/3","type":"function"},{"doc":"The same as translate_language_tag/2, but raises an exception if it fails.Exampleiex&gt; Cldr.Territory.translate_language_tag!(Cldr.get_locale(), TestBackend.Cldr) &quot;World&quot; iex&gt; Cldr.Territory.translate_language_tag!(Cldr.get_locale(), TestBackend.Cldr, [locale: Cldr.Locale.new!(&quot;pt&quot;, TestBackend.Cldr)]) &quot;Mundo&quot;","ref":"Cldr.Territory.html#translate_language_tag!/3","title":"Cldr.Territory.translate_language_tag!/3","type":"function"},{"doc":"Translate a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason}.to_locale is any configured locale. See Cldr.known_locale_names/1. The default is Cldr.get_locale/0Exampleiex&gt; Cldr.Territory.translate_territory(&quot;Reino Unido&quot;, &quot;pt&quot;, TestBackend.Cldr) {:ok, &quot;UK&quot;} iex&gt; Cldr.Territory.translate_territory(&quot;United Kingdom&quot;, &quot;en&quot;, TestBackend.Cldr, &quot;pt&quot;) {:ok, &quot;Reino Unido&quot;} iex&gt; Cldr.Territory.translate_territory(&quot;Reino Unido&quot;, :zzz, TestBackend.Cldr) {:error, {Cldr.UnknownLocaleError, &quot;The locale :zzz is not known.&quot;}} iex&gt; Cldr.Territory.translate_territory(&quot;United Kingdom&quot;, &quot;en&quot;, TestBackend.Cldr, &quot;zzz&quot;) {:error, {Cldr.UnknownLocaleError, &quot;The locale \\&quot;zzz\\&quot; is not known.&quot;}}","ref":"Cldr.Territory.html#translate_territory/4","title":"Cldr.Territory.translate_territory/4","type":"function"},{"doc":"The same as translate_territory/3, but raises an exception if it fails.Exampleiex&gt; Cldr.Territory.translate_territory!(&quot;Reino Unido&quot;, &quot;pt&quot;, TestBackend.Cldr) &quot;UK&quot; iex&gt; Cldr.Territory.translate_territory!(&quot;United Kingdom&quot;, &quot;en&quot;, TestBackend.Cldr, &quot;pt&quot;) &quot;Reino Unido&quot;","ref":"Cldr.Territory.html#translate_territory!/4","title":"Cldr.Territory.translate_territory!/4","type":"function"},{"doc":"","ref":"Cldr.Territory.html#t:as_options/0","title":"Cldr.Territory.as_options/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:atom_binary_charlist/0","title":"Cldr.Territory.atom_binary_charlist/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:atom_binary_tag/0","title":"Cldr.Territory.atom_binary_tag/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:atom_tag/0","title":"Cldr.Territory.atom_tag/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:binary_tag/0","title":"Cldr.Territory.binary_tag/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:error/0","title":"Cldr.Territory.error/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:options/0","title":"Cldr.Territory.options/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:styles/0","title":"Cldr.Territory.styles/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:tag/0","title":"Cldr.Territory.tag/0","type":"type"},{"doc":"","ref":"Cldr.Territory.Backend.html","title":"Cldr.Territory.Backend","type":"module"},{"doc":"","ref":"Cldr.Territory.Backend.html#define_territory_module/1","title":"Cldr.Territory.Backend.define_territory_module/1","type":"function"},{"doc":"Provides the core functions to retrieve and manage the CLDR data that supports formatting and localisation.It provides the core functions to access formatted CLDR data, set and retrieve a current locale and validate certain core data types such as locales, currencies and territories.","ref":"TestBackend.Cldr.html","title":"TestBackend.Cldr","type":"module"},{"doc":"See Cldr.available_locale_name?/1.","ref":"TestBackend.Cldr.html#available_locale_name?/1","title":"TestBackend.Cldr.available_locale_name?/1","type":"function"},{"doc":"Returns the default locale.Exampleiex&gt; TestBackend.Cldr.default_locale() %Cldr.LanguageTag{ backend: TestBackend.Cldr, canonical_locale_name: &quot;en-Latn-001&quot;, cldr_locale_name: &quot;en-001&quot;, language_subtags: [], extensions: %{}, gettext_locale_name: &quot;en&quot;, language: &quot;en&quot;, locale: %{}, private_use: [], rbnf_locale_name: &quot;en&quot;, requested_locale_name: &quot;en-001&quot;, script: &quot;Latn&quot;, territory: :&quot;001&quot;, transform: %{}, language_variant: nil }","ref":"TestBackend.Cldr.html#default_locale/0","title":"TestBackend.Cldr.default_locale/0","type":"function"},{"doc":"Returns the default territory when a locale does not specify one and none can be inferred.Exampleiex&gt; TestBackend.Cldr.default_territory() :&quot;001&quot;","ref":"TestBackend.Cldr.html#default_territory/0","title":"TestBackend.Cldr.default_territory/0","type":"function"},{"doc":"Add locale-specific ellipsis to a string.Argumentsstring is any valid Elixir stringbackend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend/0. Note that Cldr.default_backend/0 will raise an exception if no :default_backend is configured under the :ex_cldr key in config.exs.options is a keyword list of optionsOptions:locale is any valid locale name returned by Cldr.known_locale_names/1. The default is Cldr.get_locale/0:location determines where to place the ellipsis. The options are :after (the default for a single string argument), :between (the default and only valid location for an argument that is a list of two strings) and :beforeExamplesiex&gt; TestBackend.Cldr.ellipsis &quot;And furthermore&quot; &quot;And furthermore…&quot; iex&gt; TestBackend.Cldr.ellipsis [&quot;And furthermore&quot;, &quot;there is much to be done&quot;], locale: &quot;ja&quot; &quot;And furthermore…there is much to be done&quot;","ref":"TestBackend.Cldr.html#ellipsis/2","title":"TestBackend.Cldr.ellipsis/2","type":"function"},{"doc":"Return the current locale to be used for Cldr functions that take an optional locale parameter for which a locale is not supplied.Exampleiex&gt; TestBackend.Cldr.put_locale(&quot;pl&quot;) iex&gt; TestBackend.Cldr.get_locale %Cldr.LanguageTag{ backend: Elixir.TestBackend.Cldr, canonical_locale_name: &quot;pl-Latn-PL&quot;, cldr_locale_name: &quot;pl&quot;, extensions: %{}, language: &quot;pl&quot;, locale: %{}, private_use: [], rbnf_locale_name: &quot;pl&quot;, territory: :PL, requested_locale_name: &quot;pl&quot;, script: &quot;Latn&quot;, transform: %{}, language_variant: nil }","ref":"TestBackend.Cldr.html#get_locale/0","title":"TestBackend.Cldr.get_locale/0","type":"function"},{"doc":"See Cldr.known_calendars/0.","ref":"TestBackend.Cldr.html#known_calendars/0","title":"TestBackend.Cldr.known_calendars/0","type":"function"},{"doc":"See Cldr.known_currencies/0.","ref":"TestBackend.Cldr.html#known_currencies/0","title":"TestBackend.Cldr.known_currencies/0","type":"function"},{"doc":"Returns either the Gettext locale_name in Cldr format or false based upon whether the locale name is configured in Gettext.Argumentslocale is any valid locale name returned by TestBackend.Cldr.known_gettext_locale_names/0Examplesiex&gt; TestBackend.Cldr.known_gettext_locale_name &quot;en&quot; &quot;en&quot; iex&gt; TestBackend.Cldr.known_gettext_locale_name &quot;en-SA&quot; false","ref":"TestBackend.Cldr.html#known_gettext_locale_name/1","title":"TestBackend.Cldr.known_gettext_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Gettext.Argumentslocale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0Examplesiex&gt; TestBackend.Cldr.known_gettext_locale_name?(&quot;en&quot;) true iex&gt; TestBackend.Cldr.known_gettext_locale_name?(&quot;!!&quot;) false","ref":"TestBackend.Cldr.html#known_gettext_locale_name?/1","title":"TestBackend.Cldr.known_gettext_locale_name?/1","type":"function"},{"doc":"Returns a list of GetText locale names but in CLDR format with underscore replaced by hyphen in order to facilitate comparisons with Cldr locale names.","ref":"TestBackend.Cldr.html#known_gettext_locale_names/0","title":"TestBackend.Cldr.known_gettext_locale_names/0","type":"function"},{"doc":"Returns either the locale_name or false based upon whether the locale name is configured in Cldr.This is helpful when building a list of or expressions to return the first known locale name from a list.Argumentslocale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0Examplesiex&gt; TestBackend.Cldr.known_locale_name &quot;en-AU&quot; &quot;en-AU&quot; iex&gt; TestBackend.Cldr.known_locale_name &quot;en-SA&quot; false","ref":"TestBackend.Cldr.html#known_locale_name/1","title":"TestBackend.Cldr.known_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Cldr.Argumentslocale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0Examplesiex&gt; TestBackend.Cldr.known_locale_name?(&quot;en&quot;) true iex&gt; TestBackend.Cldr.known_locale_name?(&quot;!!&quot;) false","ref":"TestBackend.Cldr.html#known_locale_name?/1","title":"TestBackend.Cldr.known_locale_name?/1","type":"function"},{"doc":"Returns a list of the known locale names.Known locales are those locales which are the subset of all CLDR locales that have been configured for use either in this module or in Gettext.","ref":"TestBackend.Cldr.html#known_locale_names/0","title":"TestBackend.Cldr.known_locale_names/0","type":"function"},{"doc":"Returns a list of atoms representing the number systems types known to Cldr.Exampleiex&gt; TestBackend.Cldr.known_number_system_types [:default, :finance, :native, :traditional]","ref":"TestBackend.Cldr.html#known_number_system_types/0","title":"TestBackend.Cldr.known_number_system_types/0","type":"function"},{"doc":"See Cldr.known_number_systems/0.","ref":"TestBackend.Cldr.html#known_number_systems/0","title":"TestBackend.Cldr.known_number_systems/0","type":"function"},{"doc":"Returns either the RBNF locale_name or false based upon whether the locale name is configured in Cldr and has RBNF rules defined.Argumentslocale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0Examplesiex&gt; TestBackend.Cldr.known_rbnf_locale_name &quot;en&quot; &quot;en&quot; iex&gt; TestBackend.Cldr.known_rbnf_locale_name &quot;en-SA&quot; false","ref":"TestBackend.Cldr.html#known_rbnf_locale_name/1","title":"TestBackend.Cldr.known_rbnf_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Cldr and supports rules based number formats (RBNF).Argumentslocale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0Examplesiex&gt; TestBackend.Cldr.known_rbnf_locale_name?(&quot;en&quot;) true iex&gt; TestBackend.Cldr.known_rbnf_locale_name?(&quot;!!&quot;) false","ref":"TestBackend.Cldr.html#known_rbnf_locale_name?/1","title":"TestBackend.Cldr.known_rbnf_locale_name?/1","type":"function"},{"doc":"Returns a list of locale names which have rules-based number formats (RBNF).","ref":"TestBackend.Cldr.html#known_rbnf_locale_names/0","title":"TestBackend.Cldr.known_rbnf_locale_names/0","type":"function"},{"doc":"See Cldr.known_territories/0.","ref":"TestBackend.Cldr.html#known_territories/0","title":"TestBackend.Cldr.known_territories/0","type":"function"},{"doc":"Normalizes a string by applying transliteration of common symbols in numbers, currencies and dates","ref":"TestBackend.Cldr.html#normalize_lenient_parse/3","title":"TestBackend.Cldr.normalize_lenient_parse/3","type":"function"},{"doc":"Set the current locale to be used for Cldr functions that take an optional locale parameter for which a locale is not supplied.Argumentslocale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0 or a Cldr.LanguageTag struct returned by TestBackend.Cldr.Locale.new!/1See rfc5646 for the specification of a language tag and consult Cldr.Rfc5646.Parser for the specification as implemented that includes the CLDR extensions for &quot;u&quot; (locales) and &quot;t&quot; (transforms).Examplesiex&gt; TestBackend.Cldr.put_locale(&quot;en&quot;) {:ok, %Cldr.LanguageTag{ backend: TestBackend.Cldr, canonical_locale_name: &quot;en-Latn-US&quot;, cldr_locale_name: &quot;en&quot;, language_subtags: [], extensions: %{}, gettext_locale_name: &quot;en&quot;, language: &quot;en&quot;, locale: %{}, private_use: [], rbnf_locale_name: &quot;en&quot;, requested_locale_name: &quot;en&quot;, script: &quot;Latn&quot;, territory: :US, transform: %{}, language_variant: nil }} iex&gt; TestBackend.Cldr.put_locale(&quot;invalid-locale&quot;) {:error, {Cldr.LanguageTag.ParseError, &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot;le\\&quot; starting at position 13&quot;}}","ref":"TestBackend.Cldr.html#put_locale/1","title":"TestBackend.Cldr.put_locale/1","type":"function"},{"doc":"Add locale-specific quotation marks around a string.Argumentsstring is any valid Elixir stringoptions is a keyword list of optionsOptionslocale is any valid locale name returned by Cldr.known_locale_names/1. The default is Cldr.get_locale/0Examplesiex&gt; TestBackend.Cldr.quote &quot;Quoted String&quot; &quot;“Quoted String”&quot; iex&gt; TestBackend.Cldr.quote &quot;Quoted String&quot;, locale: &quot;ja&quot; &quot;「Quoted String」&quot;","ref":"TestBackend.Cldr.html#quote/2","title":"TestBackend.Cldr.quote/2","type":"function"},{"doc":"Returns a list of the locales names that are configured, but not known in CLDR.Since there is a compile-time exception raised if there are any unknown locales this function should always return an empty list.","ref":"TestBackend.Cldr.html#unknown_locale_names/0","title":"TestBackend.Cldr.unknown_locale_names/0","type":"function"},{"doc":"See Cldr.validate_calendar/1.","ref":"TestBackend.Cldr.html#validate_calendar/1","title":"TestBackend.Cldr.validate_calendar/1","type":"function"},{"doc":"See Cldr.validate_currency/1.","ref":"TestBackend.Cldr.html#validate_currency/1","title":"TestBackend.Cldr.validate_currency/1","type":"function"},{"doc":"Normalise and validate a locale name.Argumentslocale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0 or a Cldr.LanguageTag struct returned by TestBackend.Cldr.Locale.new!/1Returns{:ok, language_tag}{:error, reason}NotesSee rfc5646 for the specification of a language tag and consult Cldr.Rfc5646.Parser for the specification as implemented that includes the CLDR extensions for &quot;u&quot; (locales) and &quot;t&quot; (transforms).Examplesiex&gt; TestBackend.Cldr.validate_locale(&quot;en&quot;) {:ok, %Cldr.LanguageTag{ backend: TestBackend.Cldr, canonical_locale_name: &quot;en-Latn-US&quot;, cldr_locale_name: &quot;en&quot;, extensions: %{}, gettext_locale_name: &quot;en&quot;, language: &quot;en&quot;, locale: %{}, private_use: [], rbnf_locale_name: &quot;en&quot;, requested_locale_name: &quot;en&quot;, script: &quot;Latn&quot;, territory: :US, transform: %{}, language_variant: nil }} iex&gt; TestBackend.Cldr.validate_locale TestBackend.Cldr.default_locale() {:ok, %Cldr.LanguageTag{ backend: TestBackend.Cldr, canonical_locale_name: &quot;en-Latn-001&quot;, cldr_locale_name: &quot;en-001&quot;, extensions: %{}, gettext_locale_name: &quot;en&quot;, language: &quot;en&quot;, locale: %{}, private_use: [], rbnf_locale_name: &quot;en&quot;, requested_locale_name: &quot;en-001&quot;, script: &quot;Latn&quot;, territory: :&quot;001&quot;, transform: %{}, language_variant: nil }} iex&gt; TestBackend.Cldr.validate_locale(&quot;zzz&quot;) {:error, {Cldr.UnknownLocaleError, &quot;The locale \\&quot;zzz\\&quot; is not known.&quot;}}","ref":"TestBackend.Cldr.html#validate_locale/1","title":"TestBackend.Cldr.validate_locale/1","type":"function"},{"doc":"See Cldr.validate_number_system/1.","ref":"TestBackend.Cldr.html#validate_number_system/1","title":"TestBackend.Cldr.validate_number_system/1","type":"function"},{"doc":"Normalise and validate a number system type.Argumentsnumber_system_type is any number system type returned by Cldr.known_number_system_types/1Returns{:ok, normalized_number_system_type} or{:error, {exception, message}}Examplesiex&gt; TestBackend.Cldr.validate_number_system_type :default {:ok, :default} iex&gt; TestBackend.Cldr.validate_number_system_type :traditional {:ok, :traditional} iex&gt; TestBackend.Cldr.validate_number_system_type :latn { :error, {Cldr.UnknownNumberSystemTypeError, &quot;The number system type :latn is unknown&quot;} } iex&gt; TestBackend.Cldr.validate_number_system_type &quot;bork&quot; { :error, {Cldr.UnknownNumberSystemTypeError, &quot;The number system type \\&quot;bork\\&quot; is invalid&quot;} }","ref":"TestBackend.Cldr.html#validate_number_system_type/1","title":"TestBackend.Cldr.validate_number_system_type/1","type":"function"},{"doc":"See Cldr.validate_territory/1.","ref":"TestBackend.Cldr.html#validate_territory/1","title":"TestBackend.Cldr.validate_territory/1","type":"function"},{"doc":"Backend module that provides functions to define new locales.","ref":"TestBackend.Cldr.Locale.html","title":"TestBackend.Cldr.Locale","type":"module"},{"doc":"","ref":"TestBackend.Cldr.Locale.html#new/1","title":"TestBackend.Cldr.Locale.new/1","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Locale.html#new!/1","title":"TestBackend.Cldr.Locale.new!/1","type":"function"},{"doc":"Implements cardinal plural rules for numbers.","ref":"TestBackend.Cldr.Number.Cardinal.html","title":"TestBackend.Cldr.Number.Cardinal","type":"module"},{"doc":"The locale names for which plural rules are defined.","ref":"TestBackend.Cldr.Number.Cardinal.html#available_locale_names/0","title":"TestBackend.Cldr.Number.Cardinal.available_locale_names/0","type":"function"},{"doc":"The configured locales for which plural rules are defined.Returns the intersection of TestBackend.Cldr.known_locale_names/0 and the locales for which Cardinal plural rules are defined.There are many Cldr locales which don't have their own plural rules so this list is the intersection of Cldr's configured locales and those that have rules.","ref":"TestBackend.Cldr.Number.Cardinal.html#known_locale_names/0","title":"TestBackend.Cldr.Number.Cardinal.known_locale_names/0","type":"function"},{"doc":"Return the plural key for a given number in a given localeReturns which plural key (:zero, :one, :two, :few, :many or :other) a given number fits into within the context of a given locale.Note that these key names should not be interpreted literally. For example, the key returned from Cldr.Number.Ordinal.plural_rule(0, &quot;en&quot;) is actually :other, not :zero.This key can then be used to format a number, date, time, unit, list or other content in a plural-sensitive way.Argumentsnumber is any integer, float or Decimallocale is any locale returned by Cldr.Locale.new!/2 or any locale_name returned by TestBackend.Cldr.known_locale_names/0rounding is one of [:down, :up, :ceiling, :floor, :half_even, :half_up, :half_down]. The default is :half_even.Examplesiex&gt; TestBackend.Cldr.Number.Cardinal.plural_rule 0, &quot;fr&quot; :one iex&gt; TestBackend.Cldr.Number.Cardinal.plural_rule 0, &quot;en&quot; :other","ref":"TestBackend.Cldr.Number.Cardinal.html#plural_rule/3","title":"TestBackend.Cldr.Number.Cardinal.plural_rule/3","type":"function"},{"doc":"Returns all the plural rules defined in CLDR.","ref":"TestBackend.Cldr.Number.Cardinal.html#plural_rules/0","title":"TestBackend.Cldr.Number.Cardinal.plural_rules/0","type":"function"},{"doc":"Return the plural rules for a locale.Argumentslocale is any locale returned by TestBackend.Cldr.Locale.new!/1 or any locale_name returned by TestBackend.Cldr.known_locale_names/0The rules are returned in AST form after parsing.","ref":"TestBackend.Cldr.Number.Cardinal.html#plural_rules_for/1","title":"TestBackend.Cldr.Number.Cardinal.plural_rules_for/1","type":"function"},{"doc":"Pluralize a number using cardinal plural rules and a substition map.Argumentsnumber is an integer, float or Decimallocale is any locale returned by TestBackend.Cldr.Locale.new!/1 or any locale_name returned by TestBackend.Cldr.known_locale_names/0substitutions is a map that maps plural keys to a string. The valid substitution keys are :zero, :one, :two, :few, :many and :other.See also TestBackend.Cldr.Number.Cardinal.Cardinal.plural_rule/3.Examplesiex&gt; TestBackend.Cldr.Number.Cardinal.pluralize 1, &quot;en&quot;, %{one: &quot;one&quot;} &quot;one&quot; iex&gt; TestBackend.Cldr.Number.Cardinal.pluralize 2, &quot;en&quot;, %{one: &quot;one&quot;} nil iex&gt; TestBackend.Cldr.Number.Cardinal.pluralize 2, &quot;en&quot;, %{one: &quot;one&quot;, two: &quot;two&quot;, other: &quot;other&quot;} &quot;other&quot; iex&gt; TestBackend.Cldr.Number.Cardinal.pluralize 22, &quot;en&quot;, %{one: &quot;one&quot;, two: &quot;two&quot;, other: &quot;other&quot;} &quot;other&quot; iex&gt; TestBackend.Cldr.Number.Cardinal.pluralize Decimal.new(1), &quot;en&quot;, %{one: &quot;one&quot;} &quot;one&quot; iex&gt; TestBackend.Cldr.Number.Cardinal.pluralize Decimal.new(2), &quot;en&quot;, %{one: &quot;one&quot;} nil iex&gt; TestBackend.Cldr.Number.Cardinal.pluralize Decimal.new(2), &quot;en&quot;, %{one: &quot;one&quot;, two: &quot;two&quot;} nil iex&gt; TestBackend.Cldr.Number.Cardinal.pluralize 1..10, &quot;ar&quot;, %{one: &quot;one&quot;, few: &quot;few&quot;, other: &quot;other&quot;} &quot;few&quot; iex&gt; TestBackend.Cldr.Number.Cardinal.pluralize 1..10, &quot;en&quot;, %{one: &quot;one&quot;, few: &quot;few&quot;, other: &quot;other&quot;} &quot;other&quot;","ref":"TestBackend.Cldr.Number.Cardinal.html#pluralize/3","title":"TestBackend.Cldr.Number.Cardinal.pluralize/3","type":"function"},{"doc":"Implements ordinal plural rules for numbers.","ref":"TestBackend.Cldr.Number.Ordinal.html","title":"TestBackend.Cldr.Number.Ordinal","type":"module"},{"doc":"The locale names for which plural rules are defined.","ref":"TestBackend.Cldr.Number.Ordinal.html#available_locale_names/0","title":"TestBackend.Cldr.Number.Ordinal.available_locale_names/0","type":"function"},{"doc":"The configured locales for which plural rules are defined.Returns the intersection of TestBackend.Cldr.known_locale_names/0 and the locales for which Ordinal plural rules are defined.There are many Cldr locales which don't have their own plural rules so this list is the intersection of Cldr's configured locales and those that have rules.","ref":"TestBackend.Cldr.Number.Ordinal.html#known_locale_names/0","title":"TestBackend.Cldr.Number.Ordinal.known_locale_names/0","type":"function"},{"doc":"Return the plural key for a given number in a given localeReturns which plural key (:zero, :one, :two, :few, :many or :other) a given number fits into within the context of a given locale.Note that these key names should not be interpreted literally. For example, the key returned from Cldr.Number.Ordinal.plural_rule(0, &quot;en&quot;) is actually :other, not :zero.This key can then be used to format a number, date, time, unit, list or other content in a plural-sensitive way.Argumentsnumber is any integer, float or Decimallocale is any locale returned by Cldr.Locale.new!/2 or any locale_name returned by TestBackend.Cldr.known_locale_names/0rounding is one of [:down, :up, :ceiling, :floor, :half_even, :half_up, :half_down]. The default is :half_even.Examplesiex&gt; TestBackend.Cldr.Number.Ordinal.plural_rule 0, &quot;fr&quot; :other iex&gt; TestBackend.Cldr.Number.Ordinal.plural_rule 1, &quot;en&quot; :one","ref":"TestBackend.Cldr.Number.Ordinal.html#plural_rule/3","title":"TestBackend.Cldr.Number.Ordinal.plural_rule/3","type":"function"},{"doc":"Returns all the plural rules defined in CLDR.","ref":"TestBackend.Cldr.Number.Ordinal.html#plural_rules/0","title":"TestBackend.Cldr.Number.Ordinal.plural_rules/0","type":"function"},{"doc":"Return the plural rules for a locale.Argumentslocale is any locale returned by TestBackend.Cldr.Locale.new!/1 or any locale_name returned by TestBackend.Cldr.known_locale_names/0The rules are returned in AST form after parsing.","ref":"TestBackend.Cldr.Number.Ordinal.html#plural_rules_for/1","title":"TestBackend.Cldr.Number.Ordinal.plural_rules_for/1","type":"function"},{"doc":"Pluralize a number using ordinal plural rules and a substition map.Argumentsnumber is an integer, float or Decimal or a Range.t{}. When a range, The is that in any usage, the start value is strictly less than the end value, and that no values are negative. Results for any cases that do not meet these criteria are undefined.locale is any locale returned by TestBackend.Cldr.Locale.new!/1 or any locale_name returned by TestBackend.Cldr.known_locale_names/0substitutions is a map that maps plural keys to a string. The valid substitution keys are :zero, :one, :two, :few, :many and :other.See also TestBackend.Cldr.Number.Ordinal.Ordinal.plural_rule/3.Examplesiex&gt; TestBackend.Cldr.Number.Ordinal.pluralize 1, &quot;en&quot;, %{one: &quot;one&quot;} &quot;one&quot; iex&gt; TestBackend.Cldr.Number.Ordinal.pluralize 2, &quot;en&quot;, %{one: &quot;one&quot;} nil iex&gt; TestBackend.Cldr.Number.Ordinal.pluralize 2, &quot;en&quot;, %{one: &quot;one&quot;, two: &quot;two&quot;} &quot;two&quot; iex&gt; TestBackend.Cldr.Number.Ordinal.pluralize 22, &quot;en&quot;, %{one: &quot;one&quot;, two: &quot;two&quot;, other: &quot;other&quot;} &quot;two&quot; iex&gt; TestBackend.Cldr.Number.Ordinal.pluralize Decimal.new(1), &quot;en&quot;, %{one: &quot;one&quot;} &quot;one&quot; iex&gt; TestBackend.Cldr.Number.Ordinal.pluralize Decimal.new(2), &quot;en&quot;, %{one: &quot;one&quot;} nil iex&gt; TestBackend.Cldr.Number.Ordinal.pluralize Decimal.new(2), &quot;en&quot;, %{one: &quot;one&quot;, two: &quot;two&quot;} &quot;two&quot; iex&gt; TestBackend.Cldr.Number.Ordinal.pluralize 1..10, &quot;ar&quot;, %{one: &quot;one&quot;, few: &quot;few&quot;, other: &quot;other&quot;} &quot;other&quot; iex&gt; TestBackend.Cldr.Number.Ordinal.pluralize 1..10, &quot;en&quot;, %{one: &quot;one&quot;, few: &quot;few&quot;, other: &quot;other&quot;} &quot;other&quot;","ref":"TestBackend.Cldr.Number.Ordinal.html#pluralize/3","title":"TestBackend.Cldr.Number.Ordinal.pluralize/3","type":"function"},{"doc":"Implements plural rules for ranges","ref":"TestBackend.Cldr.Number.PluralRule.Range.html","title":"TestBackend.Cldr.Number.PluralRule.Range","type":"module"},{"doc":"Returns a final plural type for a start-of-range plural type, an end-of-range plural type and a locale.Argumentsfirst is a plural type for the start of a rangelast is a plural type for the end of a rangelocale is any Cldr.LanguageTag.t or a language name (not locale name)Exampleiex&gt; TestBackend.Cldr.Number.PluralRule.Range.plural_rule :other, :few, &quot;ar&quot; :few","ref":"TestBackend.Cldr.Number.PluralRule.Range.html#plural_rule/3","title":"TestBackend.Cldr.Number.PluralRule.Range.plural_rule/3","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Territory.html","title":"TestBackend.Cldr.Territory","type":"module"},{"doc":"Returns a list of available styles.Exampleiex&gt; TestBackend.Cldr.Territory.available_styles() [:short, :standard, :variant]","ref":"TestBackend.Cldr.Territory.html#available_styles/0","title":"TestBackend.Cldr.Territory.available_styles/0","type":"function"},{"doc":"Returns the available territories for a given locale.locale is any configured locale. See TestBackend.Cldr.Territory.known_locale_names/0. The default is Cldr.get_locale/0Example=&gt; TestBackend.Cldr.Territory.available_territories() [:&quot;001&quot;, :&quot;002&quot;, :&quot;003&quot;, :&quot;005&quot;, :&quot;009&quot;, :&quot;011&quot;, :&quot;013&quot;, :&quot;014&quot;, :&quot;015&quot;, :&quot;017&quot;, :&quot;018&quot;, :&quot;019&quot;, :&quot;021&quot;, :&quot;029&quot;, :&quot;030&quot;, :&quot;034&quot;, :&quot;035&quot;, :&quot;039&quot;, :&quot;053&quot;, :&quot;054&quot;, :&quot;057&quot;, :&quot;061&quot;, :&quot;142&quot;, :&quot;143&quot;, :&quot;145&quot;, :&quot;150&quot;, :&quot;151&quot;, :&quot;154&quot;, :&quot;155&quot;, :&quot;202&quot;, :&quot;419&quot;, :AC, :AD, :AE, :AF, :AG, :AI, :AL, :AM, :AO, :AQ, :AR, :AS, :AT, :AU, :AW, :AX, :AZ, :BA, :BB, ...] =&gt; TestBackend.Cldr.Territory.available_territories(&quot;zzz&quot;) {:error, {Cldr.UnknownLocaleError, &quot;The locale &quot;zzz&quot; is not known.&quot;}}","ref":"TestBackend.Cldr.Territory.html#available_territories/1","title":"TestBackend.Cldr.Territory.available_territories/1","type":"function"},{"doc":"Lists children(s) for the given territory code. Returns {:ok, list} if successful, otherwise {:error, reason}.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; TestBackend.Cldr.Territory.children(:EU) {:ok, [:AT, :BE, :CY, :CZ, :DE, :DK, :EE, :ES, :FI, :FR, :GR, :HR, :HU, :IE, :IT, :LT, :LU, :LV, :MT, :NL, :PL, :PT, :SE, :SI, :SK, :BG, :RO]} iex&gt; TestBackend.Cldr.Territory.children(:ZZZ) {:error, {Cldr.UnknownTerritoryError, &quot;The territory :ZZZ is unknown&quot;}} iex&gt; TestBackend.Cldr.Territory.children(:GB) {:error, {Cldr.UnknownParentError, &quot;The territory :GB has no children&quot;}}","ref":"TestBackend.Cldr.Territory.html#children/2","title":"TestBackend.Cldr.Territory.children/2","type":"function"},{"doc":"The same as children/2, but raises an exception if it fails.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; TestBackend.Cldr.Territory.children!(:EU) [:AT, :BE, :CY, :CZ, :DE, :DK, :EE, :ES, :FI, :FR, :GR, :HR, :HU, :IE, :IT, :LT, :LU, :LV, :MT, :NL, :PL, :PT, :SE, :SI, :SK, :BG, :RO]","ref":"TestBackend.Cldr.Territory.html#children!/2","title":"TestBackend.Cldr.Territory.children!/2","type":"function"},{"doc":"Checks relationship between two territories, where the first argument is the parent and second the child. Returns true if successful, otherwise false.Exampleiex&gt; TestBackend.Cldr.Territory.contains?(:EU, :DK) true iex&gt; TestBackend.Cldr.Territory.contains?(:DK, :EU) false","ref":"TestBackend.Cldr.Territory.html#contains?/2","title":"TestBackend.Cldr.Territory.contains?/2","type":"function"},{"doc":"Returns a list of country codes.options are:as: :atomas: :binaryas: :charlistExample=&gt; TestBackend.Cldr.Territory.country_codes() [:AD, :AE, :AF, :AG, :AI, :AL, :AM, :AO, :AR, :AS, :AT, :AU, :AW, :AX, :AZ, :BA, :BB, :BD, :BE, :BF, :BG, :BH, :BI, :BJ, :BL, :BM, :BN, :BO, :BQ, :BR, :BS, :BT, :BV, :BW, :BY, :BZ, :CA, :CC, :CD, :CF, :CG, :CH, :CI, :CK, :CL, :CM, :CN, :CO, :CR, :CU, ...]","ref":"TestBackend.Cldr.Territory.html#country_codes/1","title":"TestBackend.Cldr.Territory.country_codes/1","type":"function"},{"doc":"Localized string for the given LanguageTag.t. Returns {:ok, String.t} if successful, otherwise {:error, reason}.options are:style is one of those returned by TestBackend.Cldr.Territory.available_styles/0. The current styles are :short, :standard and :variant. The default is :standardExampleiex&gt; TestBackend.Cldr.Territory.from_language_tag(Cldr.get_locale()) {:ok, &quot;World&quot;} iex&gt; TestBackend.Cldr.Territory.from_language_tag(Cldr.get_locale(), [style: :short]) {:error, {Cldr.UnknownStyleError, &quot;The style :short is unknown&quot;}} iex&gt; TestBackend.Cldr.Territory.from_language_tag(Cldr.get_locale(), [style: :ZZZ]) {:error, {Cldr.UnknownStyleError, &quot;The style :ZZZ is unknown&quot;}} iex&gt; TestBackend.Cldr.Territory.from_language_tag(Cldr.get_locale(), [style: &quot;ZZZ&quot;]) {:error, {Cldr.UnknownStyleError, &quot;The style \\&quot;ZZZ\\&quot; is unknown&quot;}}","ref":"TestBackend.Cldr.Territory.html#from_language_tag/2","title":"TestBackend.Cldr.Territory.from_language_tag/2","type":"function"},{"doc":"The same as from_language_tag/2, but raises an exception if it fails.Exampleiex&gt; TestBackend.Cldr.Territory.from_language_tag!(Cldr.get_locale()) &quot;World&quot;","ref":"TestBackend.Cldr.Territory.html#from_language_tag!/2","title":"TestBackend.Cldr.Territory.from_language_tag!/2","type":"function"},{"doc":"Localized string for the given territory code. Returns {:ok, String.t} if successful, otherwise {:error, reason}.options are:locale is any configured locale. See TestBackend.Cldr.Territory.known_locale_names/0. The default is Cldr.get_locale/0style is one of those returned by TestBackend.Cldr.Territory.available_styles/0. The current styles are :short, :standard and :variant. The default is :standardExampleiex&gt; TestBackend.Cldr.Territory.from_territory_code(:GB) {:ok, &quot;United Kingdom&quot;} iex&gt; TestBackend.Cldr.Territory.from_territory_code(:GB, [style: :short]) {:ok, &quot;UK&quot;} iex&gt; TestBackend.Cldr.Territory.from_territory_code(:GB, [style: :ZZZ]) {:error, {Cldr.UnknownStyleError, &quot;The style :ZZZ is unknown&quot;}} iex&gt; TestBackend.Cldr.Territory.from_territory_code(:GB, [style: &quot;ZZZ&quot;]) {:error, {Cldr.UnknownStyleError, &quot;The style \\&quot;ZZZ\\&quot; is unknown&quot;}} iex&gt; TestBackend.Cldr.Territory.from_territory_code(:GB, [locale: &quot;pt&quot;]) {:ok, &quot;Reino Unido&quot;} iex&gt; TestBackend.Cldr.Territory.from_territory_code(:GB, [locale: :zzz]) {:error, {Cldr.UnknownLocaleError, &quot;The locale :zzz is not known.&quot;}} iex&gt; TestBackend.Cldr.Territory.from_territory_code(:GB, [locale: &quot;zzz&quot;]) {:error, {Cldr.UnknownLocaleError, &quot;The locale \\&quot;zzz\\&quot; is not known.&quot;}}","ref":"TestBackend.Cldr.Territory.html#from_territory_code/2","title":"TestBackend.Cldr.Territory.from_territory_code/2","type":"function"},{"doc":"The same as from_territory_code/2, but raises an exception if it fails.Exampleiex&gt; TestBackend.Cldr.Territory.from_territory_code!(:GB) &quot;United Kingdom&quot; iex&gt; TestBackend.Cldr.Territory.from_territory_code!(:GB, [style: :short]) &quot;UK&quot; iex&gt; TestBackend.Cldr.Territory.from_territory_code!(:GB, [locale: &quot;pt&quot;]) &quot;Reino Unido&quot;","ref":"TestBackend.Cldr.Territory.html#from_territory_code!/2","title":"TestBackend.Cldr.Territory.from_territory_code!/2","type":"function"},{"doc":"Maps territory info for the given territory code. Returns {:ok, map} if successful, otherwise {:error, reason}.Exampleiex&gt; TestBackend.Cldr.Territory.info(:GB) {:ok, %{ currency: [GBP: %{from: ~D[1694-07-27]}], gdp: 2925000000000, language_population: %{ &quot;bn&quot; =&gt; %{population_percent: 0.67}, &quot;cy&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.77}, &quot;de&quot; =&gt; %{population_percent: 6}, &quot;el&quot; =&gt; %{population_percent: 0.33}, &quot;en&quot; =&gt; %{official_status: &quot;official&quot;, population_percent: 99}, &quot;fr&quot; =&gt; %{population_percent: 19}, &quot;ga&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.026}, &quot;gd&quot; =&gt; %{ official_status: &quot;official_regional&quot;, population_percent: 0.099, writing_percent: 5 }, &quot;it&quot; =&gt; %{population_percent: 0.33}, &quot;ks&quot; =&gt; %{population_percent: 0.19}, &quot;kw&quot; =&gt; %{population_percent: 0.0031}, &quot;ml&quot; =&gt; %{population_percent: 0.035}, &quot;pa&quot; =&gt; %{population_percent: 0.79}, &quot;sco&quot; =&gt; %{population_percent: 2.7, writing_percent: 5}, &quot;syl&quot; =&gt; %{population_percent: 0.51}, &quot;yi&quot; =&gt; %{population_percent: 0.049}, &quot;zh-Hant&quot; =&gt; %{population_percent: 0.54} }, literacy_percent: 99, measurement_system: %{ default: :uksystem, paper_size: :a4, temperature: :uksystem }, population: 65105200 }}","ref":"TestBackend.Cldr.Territory.html#info/1","title":"TestBackend.Cldr.Territory.info/1","type":"function"},{"doc":"The same as info/1, but raises an exception if it fails.Exampleiex&gt; TestBackend.Cldr.Territory.info!(:GB) %{ currency: [GBP: %{from: ~D[1694-07-27]}], gdp: 2925000000000, language_population: %{ &quot;bn&quot; =&gt; %{population_percent: 0.67}, &quot;cy&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.77}, &quot;de&quot; =&gt; %{population_percent: 6}, &quot;el&quot; =&gt; %{population_percent: 0.33}, &quot;en&quot; =&gt; %{official_status: &quot;official&quot;, population_percent: 99}, &quot;fr&quot; =&gt; %{population_percent: 19}, &quot;ga&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.026}, &quot;gd&quot; =&gt; %{ official_status: &quot;official_regional&quot;, population_percent: 0.099, writing_percent: 5 }, &quot;it&quot; =&gt; %{population_percent: 0.33}, &quot;ks&quot; =&gt; %{population_percent: 0.19}, &quot;kw&quot; =&gt; %{population_percent: 0.0031}, &quot;ml&quot; =&gt; %{population_percent: 0.035}, &quot;pa&quot; =&gt; %{population_percent: 0.79}, &quot;sco&quot; =&gt; %{population_percent: 2.7, writing_percent: 5}, &quot;syl&quot; =&gt; %{population_percent: 0.51}, &quot;yi&quot; =&gt; %{population_percent: 0.049}, &quot;zh-Hant&quot; =&gt; %{population_percent: 0.54} }, literacy_percent: 99, measurement_system: %{ default: :uksystem, paper_size: :a4, temperature: :uksystem }, population: 65105200 }","ref":"TestBackend.Cldr.Territory.html#info!/1","title":"TestBackend.Cldr.Territory.info!/1","type":"function"},{"doc":"Returns a map of all known territories in a given locale.locale is any configured locale. See TestBackend.Cldr.Territory.known_locale_names/0. The default is Cldr.get_locale/0Example=&gt; TestBackend.Cldr.Territory.known_territories() %{SN: %{standard: &quot;Senegal&quot;}, &quot;061&quot;: %{standard: &quot;Polynesia&quot;}, BH: %{standard: &quot;Bahrain&quot;}, TM: %{standard: &quot;Turkmenistan&quot;}, &quot;009&quot;: %{standard: &quot;Oceania&quot;}, CW: %{standard: &quot;Curaçao&quot;}, FR: %{standard: &quot;France&quot;}, TN: %{standard: &quot;Tunisia&quot;}, FI: %{standard: &quot;Finland&quot;}, BF: %{standard: &quot;Burkina Faso&quot;}, &quot;155&quot;: %{standard: &quot;Western Europe&quot;}, GL: %{standard: &quot;Greenland&quot;}, VI: %{standard: &quot;U.S. Virgin Islands&quot;}, ZW: %{standard: &quot;Zimbabwe&quot;}, AR: %{standard: &quot;Argentina&quot;}, SG: %{standard: &quot;Singapore&quot;}, SZ: %{standard: &quot;Swaziland&quot;}, ID: %{standard: &quot;Indonesia&quot;}, NR: %{standard: &quot;Nauru&quot;}, RW: %{standard: &quot;Rwanda&quot;}, TR: %{standard: &quot;Turkey&quot;}, IS: %{standard: &quot;Iceland&quot;}, ME: %{standard: &quot;Montenegro&quot;}, AW: %{standard: &quot;Aruba&quot;}, PY: %{standard: &quot;Paraguay&quot;}, &quot;145&quot;: %{standard: &quot;Western Asia&quot;}, CG: %{standard: &quot;Congo - Brazzaville&quot;, variant: &quot;Congo (Republic)&quot;}, LT: %{standard: &quot;Lithuania&quot;}, SA: %{standard: &quot;Saudi Arabia&quot;}, MZ: %{standard: &quot;Mozambique&quot;}, NU: %{standard: &quot;Niue&quot;}, NG: %{standard: &quot;Nigeria&quot;}, CK: %{standard: &quot;Cook Islands&quot;}, ZM: %{standard: &quot;Zambia&quot;}, LK: %{standard: &quot;Sri Lanka&quot;}, UY: %{standard: &quot;Uruguay&quot;}, YE: %{standard: &quot;Yemen&quot;}, &quot;011&quot;: %{standard: &quot;Western Africa&quot;}, CC: %{standard: &quot;Cocos (Keeling) Islands&quot;}, BY: %{standard: &quot;Belarus&quot;}, IL: %{standard: &quot;Israel&quot;}, KY: %{standard: &quot;Cayman Islands&quot;}, GN: %{standard: &quot;Guinea&quot;}, VN: %{standard: &quot;Vietnam&quot;}, PE: %{standard: &quot;Peru&quot;}, HU: %{standard: &quot;Hungary&quot;}, HN: %{standard: &quot;Honduras&quot;}, GI: %{standard: &quot;Gibraltar&quot;}, &quot;142&quot;: %{standard: &quot;Asia&quot;}, &quot;029&quot;: %{...}, ...} =&gt; TestBackend.Cldr.Territory.known_territories(&quot;zzz&quot;) {:error, {Cldr.UnknownLocaleError, &quot;The locale &quot;zzz&quot; is not known.&quot;}}","ref":"TestBackend.Cldr.Territory.html#known_territories/1","title":"TestBackend.Cldr.Territory.known_territories/1","type":"function"},{"doc":"Lists parent(s) for the given territory code. Returns {:ok, list} if successful, otherwise {:error, reason}.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; TestBackend.Cldr.Territory.parent(:GB) {:ok, [:&quot;154&quot;, :UN]} iex&gt; TestBackend.Cldr.Territory.parent(:ZZZ) {:error, {Cldr.UnknownTerritoryError, &quot;The territory :ZZZ is unknown&quot;}} iex&gt; TestBackend.Cldr.Territory.parent(Cldr.get_locale()) {:error, {Cldr.UnknownChildrenError, &quot;The territory :\\&quot;001\\&quot; has no parent(s)&quot;}}","ref":"TestBackend.Cldr.Territory.html#parent/2","title":"TestBackend.Cldr.Territory.parent/2","type":"function"},{"doc":"The same as parent/2, but raises an exception if it fails.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; TestBackend.Cldr.Territory.parent!(:GB) [:&quot;154&quot;, :UN]","ref":"TestBackend.Cldr.Territory.html#parent!/2","title":"TestBackend.Cldr.Territory.parent!/2","type":"function"},{"doc":"A helper method to get a territory's currency code if a territory has multiply currencies then the oldest active currency is returned. Returns {:ok, code} if successful, otherwise {:error, reason}.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; TestBackend.Cldr.Territory.to_currency_code(:US) {:ok, :USD} iex&gt; TestBackend.Cldr.Territory.to_currency_code(&quot;cu&quot;) {:ok, :CUP}","ref":"TestBackend.Cldr.Territory.html#to_currency_code/2","title":"TestBackend.Cldr.Territory.to_currency_code/2","type":"function"},{"doc":"The same as to_currency_code/2, but raises an exception if it fails.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; TestBackend.Cldr.Territory.to_currency_code!(:US) :USD iex&gt; TestBackend.Cldr.Territory.to_currency_code!(:US, as: :charlist) &#39;USD&#39; iex&gt; TestBackend.Cldr.Territory.to_currency_code!(&quot;PS&quot;) :ILS iex&gt; TestBackend.Cldr.Territory.to_currency_code!(&quot;PS&quot;, as: :binary) &quot;ILS&quot;","ref":"TestBackend.Cldr.Territory.html#to_currency_code!/2","title":"TestBackend.Cldr.Territory.to_currency_code!/2","type":"function"},{"doc":"A helper method to get a territory's currency codes. Returns {:ok, list} if successful, otherwise {:error, reason}.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; TestBackend.Cldr.Territory.to_currency_codes(:US) {:ok, [:USD]} iex&gt; TestBackend.Cldr.Territory.to_currency_codes(&quot;cu&quot;) {:ok, [:CUP, :CUC]}","ref":"TestBackend.Cldr.Territory.html#to_currency_codes/2","title":"TestBackend.Cldr.Territory.to_currency_codes/2","type":"function"},{"doc":"The same as to_currency_codes/2, but raises an exception if it fails.options are:as: :atomas: :binaryas: :charlistExampleiex&gt; TestBackend.Cldr.Territory.to_currency_codes!(:US) [:USD] iex&gt; TestBackend.Cldr.Territory.to_currency_codes!(:US, as: :charlist) [&#39;USD&#39;] iex&gt; TestBackend.Cldr.Territory.to_currency_codes!(&quot;PS&quot;) [:ILS, :JOD] iex&gt; TestBackend.Cldr.Territory.to_currency_codes!(&quot;PS&quot;, as: :binary) [&quot;ILS&quot;, &quot;JOD&quot;]","ref":"TestBackend.Cldr.Territory.html#to_currency_codes!/2","title":"TestBackend.Cldr.Territory.to_currency_codes!/2","type":"function"},{"doc":"Unicode flag for the given territory code. Returns {:ok, flag} if successful, otherwise {:error, reason}.Exampleiex&gt; TestBackend.Cldr.Territory.to_unicode_flag(:US) {:ok, &quot;🇺🇸&quot;} iex&gt; TestBackend.Cldr.Territory.to_unicode_flag(:EZ) {:error, {Cldr.UnknownFlagError, &quot;The territory :EZ has no flag&quot;}}","ref":"TestBackend.Cldr.Territory.html#to_unicode_flag/1","title":"TestBackend.Cldr.Territory.to_unicode_flag/1","type":"function"},{"doc":"The same as to_unicode_flag/1, but raises an exception if it fails.Exampleiex&gt; TestBackend.Cldr.Territory.to_unicode_flag!(:US) &quot;🇺🇸&quot;","ref":"TestBackend.Cldr.Territory.html#to_unicode_flag!/1","title":"TestBackend.Cldr.Territory.to_unicode_flag!/1","type":"function"},{"doc":"Translate a LanguageTag.t into a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason}.options are:locale is any configured locale. See TestBackend.Cldr.Territory.known_locale_names/0. The default is Cldr.get_locale/0style is one of those returned by TestBackend.Cldr.Territory.available_styles/0. The current styles are :short, :standard and :variant. The default is :standardExampleiex&gt; TestBackend.Cldr.Territory.translate_language_tag(Cldr.get_locale()) {:ok, &quot;World&quot;} iex&gt; TestBackend.Cldr.Territory.translate_language_tag(Cldr.get_locale(), [locale: Cldr.Locale.new!(&quot;pt&quot;, TestBackend.Cldr)]) {:ok, &quot;Mundo&quot;}","ref":"TestBackend.Cldr.Territory.html#translate_language_tag/2","title":"TestBackend.Cldr.Territory.translate_language_tag/2","type":"function"},{"doc":"The same as translate_language_tag/2, but raises an exception if it fails.Exampleiex&gt; TestBackend.Cldr.Territory.translate_language_tag!(Cldr.get_locale()) &quot;World&quot; iex&gt; TestBackend.Cldr.Territory.translate_language_tag!(Cldr.get_locale(), [locale: Cldr.Locale.new!(&quot;pt&quot;, TestBackend.Cldr)]) &quot;Mundo&quot;","ref":"TestBackend.Cldr.Territory.html#translate_language_tag!/2","title":"TestBackend.Cldr.Territory.translate_language_tag!/2","type":"function"},{"doc":"Translate a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason}.to_locale is any configured locale. See TestBackend.Cldr.Territory.known_locale_names/0. The default is Cldr.get_locale/0Exampleiex&gt; TestBackend.Cldr.Territory.translate_territory(&quot;Reino Unido&quot;, &quot;pt&quot;) {:ok, &quot;UK&quot;} iex&gt; TestBackend.Cldr.Territory.translate_territory(&quot;United Kingdom&quot;, &quot;en&quot;, &quot;pt&quot;) {:ok, &quot;Reino Unido&quot;} iex&gt; TestBackend.Cldr.Territory.translate_territory(&quot;Reino Unido&quot;, :zzz) {:error, {Cldr.UnknownLocaleError, &quot;The locale :zzz is not known.&quot;}} iex&gt; TestBackend.Cldr.Territory.translate_territory(&quot;United Kingdom&quot;, &quot;en&quot;, &quot;zzz&quot;) {:error, {Cldr.UnknownLocaleError, &quot;The locale \\&quot;zzz\\&quot; is not known.&quot;}}","ref":"TestBackend.Cldr.Territory.html#translate_territory/3","title":"TestBackend.Cldr.Territory.translate_territory/3","type":"function"},{"doc":"The same as translate_territory/3, but raises an exception if it fails.Exampleiex&gt; TestBackend.Cldr.Territory.translate_territory!(&quot;Reino Unido&quot;, &quot;pt&quot;) &quot;UK&quot; iex&gt; TestBackend.Cldr.Territory.translate_territory!(&quot;United Kingdom&quot;, &quot;en&quot;, &quot;pt&quot;) &quot;Reino Unido&quot;","ref":"TestBackend.Cldr.Territory.html#translate_territory!/3","title":"TestBackend.Cldr.Territory.translate_territory!/3","type":"function"},{"doc":"Exception raised when there is an invalid child.","ref":"Cldr.UnknownChildrenError.html","title":"Cldr.UnknownChildrenError","type":"exception"},{"doc":"Exception raised when there is an invalid Flag.","ref":"Cldr.UnknownFlagError.html","title":"Cldr.UnknownFlagError","type":"exception"},{"doc":"Exception raised when there is an invalid LanguageTag.t.","ref":"Cldr.UnknownLanguageTagError.html","title":"Cldr.UnknownLanguageTagError","type":"exception"},{"doc":"Exception raised when there is an invalid parent.","ref":"Cldr.UnknownParentError.html","title":"Cldr.UnknownParentError","type":"exception"},{"doc":"Exception raised when there is an invalid style.","ref":"Cldr.UnknownStyleError.html","title":"Cldr.UnknownStyleError","type":"exception"},{"doc":"Cldr for Territories","ref":"readme.html","title":"Cldr for Territories","type":"extras"},{"doc":"ex_cldr_territories is an add-on library for ex_cldr that provides localization for territories.","ref":"readme.html#introduction-and-getting-started","title":"Cldr for Territories - Introduction and Getting Started","type":"extras"},{"doc":"iex&gt; MyCldr.Territory.from_territory_code(:GB) {:ok, &quot;United Kingdom&quot;} iex&gt; MyCldr.Territory.translate_territory(&quot;Reino Unido&quot;, &quot;pt&quot;, &quot;en&quot;) {:ok, &quot;UK&quot;} iex&gt; MyCldr.Territory.contains?(:EU, :GB) false iex&gt; MyCldr.Territory.contains?(:EU, :DE) true iex&gt; MyCldr.Territory.parent(:GB) {:ok, [:&quot;154&quot;, :UN]} iex&gt; MyCldr.Territory.children(:EU) {:ok, [:AT, :BE, :CY, :CZ, :DE, :DK, :EE, :ES, :FI, :FR, :GR, :HR, :HU, :IE, :IT, :LT, :LU, :LV, :MT, :NL, :PL, :PT, :SE, :SI, :SK, :BG, :RO]} iex&gt; MyCldr.Territory.info(:GB) {:ok, %{ currency: [GBP: %{from: ~D[1694-07-27]}], gdp: 2925000000000, language_population: %{ &quot;bn&quot; =&gt; %{population_percent: 0.67}, &quot;cy&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.77}, &quot;de&quot; =&gt; %{population_percent: 6}, &quot;el&quot; =&gt; %{population_percent: 0.33}, &quot;en&quot; =&gt; %{official_status: &quot;official&quot;, population_percent: 99}, &quot;fr&quot; =&gt; %{population_percent: 19}, &quot;ga&quot; =&gt; %{official_status: &quot;official_regional&quot;, population_percent: 0.026}, &quot;gd&quot; =&gt; %{ official_status: &quot;official_regional&quot;, population_percent: 0.099, writing_percent: 5 }, &quot;it&quot; =&gt; %{population_percent: 0.33}, &quot;ks&quot; =&gt; %{population_percent: 0.19}, &quot;kw&quot; =&gt; %{population_percent: 0.0031}, &quot;ml&quot; =&gt; %{population_percent: 0.035}, &quot;pa&quot; =&gt; %{population_percent: 0.79}, &quot;sco&quot; =&gt; %{population_percent: 2.7, writing_percent: 5}, &quot;syl&quot; =&gt; %{population_percent: 0.51}, &quot;yi&quot; =&gt; %{population_percent: 0.049}, &quot;zh-Hant&quot; =&gt; %{population_percent: 0.54} }, literacy_percent: 99, measurement_system: %{ default: :uksystem, paper_size: :a4, temperature: :uksystem }, population: 65105200 }} iex&gt; MyCldr.Territory.to_unicode_flag(:US) {:ok, &quot;🇺🇸&quot;} iex&gt; MyCldr.Territory.to_currency_code(:US) {:ok, :USD}For help in iex:iex&gt; h MyCldr.Territory.from_territory_code","ref":"readme.html#examples","title":"Cldr for Territories - Examples","type":"extras"},{"doc":"hex documentation for ex_cldrhex documentation for ex_cldr_territories","ref":"readme.html#documentation","title":"Cldr for Territories - Documentation","type":"extras"},{"doc":"Note that :ex_cldr_territories requires Elixir 1.5 or later.Add ex_cldr_territories as a dependency to your mix project: defp deps do [ {:ex_cldr_territories, &quot;~&gt; 2.0&quot;} ] endthen retrieve ex_cldr_territories from hex:mix deps.get mix deps.compile","ref":"readme.html#installation","title":"Cldr for Territories - Installation","type":"extras"},{"doc":"(The MIT License)Copyright (c) 2017 Benjamin SchultzerPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the 'Software'), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"readme.html#license","title":"Cldr for Territories - LICENSE","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"EnhancementsRequires ex_cldr version 2.14 or later to use CLDR data version 37. As with all CLDR releases, underlying data can change and tests are updated to reflect those changes.Updated readme to reflect changes in EU composition and the updated data returned territoriesCLDR 37 also reflects that the UK is no longer part of the EU.Minimum version of Elixir required is 1.8 to align with the baseline ex_cldr libraryFix typespec leading to dialyzer errorsUpdate dependencies in development","ref":"changelog.html#cldr-territories-v2-1-0-june-8th-2020","title":"Changelog - Cldr Territories v2.1.0 June 8th, 2020","type":"extras"},{"doc":"EnhancementsFix dialyzer errors thanks to @jeroenvisser101","ref":"changelog.html#cldr-territories-v2-0-1-may-1st-2019","title":"Changelog - Cldr Territories v2.0.1 May 1st, 2019","type":"extras"},{"doc":"This is the changelog for Cldr Territories v2.0.0 released on November 25th, 2018. For older changelogs please consult the release tag on GitHubEnhancementsMove to a backend module structure with ex_cldr version 2.0","ref":"changelog.html#cldr-territories-v2-0-0-november-25st-2018","title":"Changelog - Cldr Territories v2.0.0 November 25st, 2018","type":"extras"}]